Menu
Choose a product
Scroll for more
Enterprise
Open source
Grafana Cloud
User and Org Preferences API
Keys:
- theme - One of:
light,dark, or an empty string for the default theme - homeDashboardId - Deprecated. Use
homeDashboardUIDinstead. - homeDashboardUID: The
:uidof a dashboard - timezone - Any valid IANA timezone string (e.g.,
America/New_York,Europe/London),utc,browser, or an empty string for the default.
Omitting a key will cause the current value to be replaced with the system default value.
Get Current User Prefs
GET /api/user/preferences
Example Request:
http
GET /api/user/preferences HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbkExample Response:
http
HTTP/1.1 200
Content-Type: application/json
{
"theme": "",
"homeDashboardId": 217,
"homeDashboardUID": "jcIIG-07z",
"timezone": "utc",
"weekStart": "",
"navbar": {
"bookmarkUrls": null
},
"queryHistory": {
"homeTab": ""
}
}Update Current User Prefs
PUT /api/user/preferences
Example Request:
http
PUT /api/user/preferences HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
{
"theme": "",
"homeDashboardUID":"home",
"timezone":"utc"
}Example Response:
http
HTTP/1.1 200
Content-Type: text/plain; charset=utf-8
{"message":"Preferences updated"}Patch Current User Prefs
Update one or more preferences without modifying the others.
PATCH /api/user/preferences
Example Request:
http
PATCH /api/user/preferences HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
{
"theme": "dark"
}Example Response:
http
HTTP/1.1 200
Content-Type: text/plain; charset=utf-8
{"message":"Preferences updated"}Get Current Org Prefs
GET /api/org/preferences
Example Request:
http
GET /api/org/preferences HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbkExample Response:
http
HTTP/1.1 200
Content-Type: application/json
{
"theme": "",
"homeDashboardId": 0,
"homeDashboardUID": "",
"timezone": "",
"weekStart": "",
"navbar": {
"bookmarkUrls": null
},
"queryHistory": {
"homeTab": ""
}
}Update Current Org Prefs
PUT /api/org/preferences
Example Request:
http
PUT /api/org/preferences HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
{
"theme": "",
"homeDashboardUID":"home",
"timezone":"utc"
}Example Response:
http
HTTP/1.1 200
Content-Type: text/plain; charset=utf-8
{"message":"Preferences updated"}Patch Current Org Prefs
Update one or more preferences without modifying the others.
PATCH /api/org/preferences
Example Request:
http
PATCH /api/org/preferences HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbk
{
"theme": "dark"
}Example Response:
http
HTTP/1.1 200
Content-Type: text/plain; charset=utf-8
{"message":"Preferences updated"}Was this page helpful?
Related resources from Grafana Labs
Additional helpful documentation, links, and articles:
Video

Getting started with managing your metrics, logs, and traces using Grafana
In this webinar, we’ll demo how to get started using the LGTM Stack: Loki for logs, Grafana for visualization, Tempo for traces, and Mimir for metrics.
Video

Intro to Kubernetes monitoring in Grafana Cloud
In this webinar you’ll learn how Grafana offers developers and SREs a simple and quick-to-value solution for monitoring their Kubernetes infrastructure.
Video

Building advanced Grafana dashboards
In this webinar, we’ll demo how to build and format Grafana dashboards.